Index: ow/templates/add_manual_workout.pt
===================================================================
--- ow/templates/add_manual_workout.pt	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
+++ ow/templates/add_manual_workout.pt	(revision 01674ff268b00c33b71d0cf6fd54c8357fa37f45)
@@ -23,69 +23,68 @@
 
   <metal:content metal:fill-slot="content">
-      <h2 i18n:translate="">Add a new workout</h2>
+
     <div class="add_workout ow-forms">
+      <a href="" class="back"
+             tal:attributes="href request.resource_url(context)"
+             i18n:translate="">Back</a>
+        <h2 i18n:translate="">Add a new workout</h2>
         ${form.begin()}
         ${form.csrf_token()}
 
         <fieldset>
-            <p>
-                <label for="sport" i18n:translate="">Sport/Activity</label>
-                ${form.errorlist('sport')}
-                ${form.text('sport')}
-            </p>
-            <p>
-                <label for="title" i18n:translate="">Title</label>
-                ${form.errorlist('title')}
-                ${form.text('title')}
-            </p>
-        </fieldset>
+          <p>
+              <label for="sport" i18n:translate="">Sport/Activity</label>
+              ${form.errorlist('sport')}
+              ${form.text('sport')}
+          </p>
+          <p>
+              <label for="title" i18n:translate="">Title</label>
+              ${form.errorlist('title')}
+              ${form.text('title')}
+          </p>
+          <div class="input-container ly-flex ly-2 has-gap">
+              <div>
+                  <label for="start_date" i18n:translate="">Start date (dd/mm/yyyy)</label>
+                  ${form.errorlist('start_date')}
+                  ${form.text('start_date', size=10, **{'class': "date"})}
+              </div>
+              <div>
+                  <label for="start_time" i18n:translate="">Start time (HH:MM)</label>
+                  ${form.errorlist('start_time')}
+                  ${form.text('start_time', size=5, **{'class': "time"})}
+              </div>
+          </div>
 
-        <fieldset>
-            <div class="input-container">
-                <div>
-                    <label for="start_date" i18n:translate="">Start date (dd/mm/yyyy)</label>
-                    ${form.errorlist('start_date')}
-                    ${form.text('start_date', size=10, **{'class': "date"})}
-                </div>
-                <div>
-                    <label for="start_time" i18n:translate="">Start time (HH:MM)</label>
-                    ${form.errorlist('start_time')}
-                    ${form.text('start_time', size=5, **{'class': "time"})}
-                </div>
+          <div class="input-container ly-flex ly-3 has-gap">
+            <div>
+              <label for="duration_hours" i18n:translate="">Hours</label>
+              ${form.errorlist('duration_hours')}
+              ${form.text('duration_hours', size=3, **{'class': "number"})}
             </div>
+            <div>
+              <label for="duration_minutes" i18n:translate="">Minutes</label>
+              ${form.errorlist('duration_minutes')}
+              ${form.text('duration_minutes', size=3, **{'class': "number"})}
+            </div>
+            <div>
+              <label for="duration_seconds" i18n:translate="">Seconds</label>
+              ${form.errorlist('duration_seconds')}
+              ${form.text('duration_seconds', size=3, **{'class': "number"})}
+            </div>
+          </div>
 
-            <div class="input-container">
-                <label for="duration_hours" i18n:translate="">Hours</label>
-                ${form.errorlist('duration_hours')}
-                ${form.text('duration_hours', size=3, **{'class': "number"})}
-
-                <label for="duration_minutes" i18n:translate="">Minutes</label>
-                ${form.errorlist('duration_minutes')}
-                ${form.text('duration_minutes', size=3, **{'class': "number"})}
-
-                <label for="duration_seconds" i18n:translate="">Seconds</label>
-                ${form.errorlist('duration_seconds')}
-                ${form.text('duration_seconds', size=3, **{'class': "number"})}
-            </div>
-
-            <p>
-                <label for="distance" i18n:translate="">Distance (Km):</label>
-                ${form.errorlist('distance')}
-                ${form.text('distance', size=4, **{'class': "number"})}
-            </p>
+          <p>
+              <label for="distance" i18n:translate="">Distance (Km):</label>
+              ${form.errorlist('distance')}
+              ${form.text('distance', size=4, **{'class': "number"})}
+          </p>
+          <div>
+            <label for="notes" i18n:translate="">Notes:</label>
+            ${form.errorlist('notes')}
+            ${form.textarea('notes', rows=10, cols=50)}
+          </div>
       </fieldset>
 
-      <fieldset>
-          <label for="notes" i18n:translate="">Notes:</label>
-          ${form.errorlist('notes')}
-          ${form.textarea('notes', rows=10, cols=50)}
-      </fieldset>
-
-      <p>
-          ${form.submit("submit", "Save",  **{'class':"button button-normal"})}
-          <a href="" class="button button-important"
-             tal:attributes="href request.resource_url(context)"
-             i18n:translate="">Cancel</a>
-      </p>
+        ${form.submit("submit", "Save",  **{'class':"button button-normal"})}
 
       ${form.end()}
Index: ow/templates/add_workout.pt
===================================================================
--- ow/templates/add_workout.pt	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
+++ ow/templates/add_workout.pt	(revision 01674ff268b00c33b71d0cf6fd54c8357fa37f45)
@@ -17,40 +17,32 @@
 
   <metal:content metal:fill-slot="content">
-    <h2 i18n:translate="">Upload workout file</h2>
     <div class="upload-workout ow-forms">
+      <a href="" class="back"
+           tal:attributes="href request.resource_url(context)"
+           i18n:translate="">Back</a>
+      <h2 i18n:translate="">Upload workout file</h2>
         ${form.begin(multipart=True)}
         ${form.csrf_token()}
 
         <fieldset>
-            <p>
-                <label for="title" i18n:translate="">Title:</label>
-                ${form.errorlist('title')}
-                ${form.text('title')}
-            </p>
+          <p>
+              <label for="title" i18n:translate="">Title</label>
+              ${form.errorlist('title')}
+              ${form.text('title')}
+          </p>
+          <p>
+              <label for="notes" i18n:translate="">Notes</label>
+              ${form.errorlist('notes')}
+              ${form.textarea('notes', rows=10, cols=50)}
+          </p>
+          <p>
+              <label for="tracking_file" i18n:translate="">
+                  Workout file (gpx, fit)</label>
+              ${form.errorlist('tracking_file')}
+              ${form.file('tracking_file')}
+          </p>
         </fieldset>
 
-        <fieldset>
-            <p>
-                <label for="notes" i18n:translate="">Notes:</label>
-                ${form.errorlist('notes')}
-                ${form.textarea('notes', rows=10, cols=50)}
-            </p>
-        </fieldset>
-
-        <fieldset>
-            <p>
-                <label for="tracking_file" i18n:translate="">
-                    Workout file (gpx, fit):</label>
-                ${form.errorlist('tracking_file')}
-                ${form.file('tracking_file')}
-            </p>
-        </fieldset>
-
-        <p>
-            ${form.submit("submit", "Save",  **{'class':"button button-normal"})}
-            <a href="" class="button button-important"
-               tal:attributes="href request.resource_url(context)"
-               i18n:translate="">Cancel</a>
-        </p>
+        ${form.submit("submit", "Save",  **{'class':"button button-normal"})}
 
       ${form.end()}
Index: ow/templates/update_workout_from_file.pt
===================================================================
--- ow/templates/update_workout_from_file.pt	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
+++ ow/templates/update_workout_from_file.pt	(revision 01674ff268b00c33b71d0cf6fd54c8357fa37f45)
@@ -19,5 +19,9 @@
 
   <metal:content metal:fill-slot="content">
-    <div id="update_workout_file">
+    <div id="update_workout_file" class="ow-forms">
+
+      <a class="back" href="" tal:attributes="href request.resource_url(request.root)"
+         i18n:translate="">Back</a>
+
       ${form.begin(multipart=True)}
       ${form.csrf_token()}
@@ -25,26 +29,31 @@
       <div tal:condition="context.has_tracking_file"
            i18n:translate="">
-        Existing
+        <h2>Existing
         <tal:filetype i18n:name="filetype"
                       tal:content="context.tracking_filetype"></tal:filetype>
-        tracking file data:
-        <tal:data i18n:name="start"
-                  tal:content="context.start"></tal:data> -
-        <tal:data i18n:name="end"
-                  tal:content="context.end"></tal:data> -
-        <tal:data i18n:name="distance"
+        tracking file data</h2>
+        <p>
+          <tal:data i18n:name="start"
+                  tal:content="context.start"></tal:data>
+        </p>
+        <p>
+          <tal:data i18n:name="end"
+                  tal:content="context.end"></tal:data>
+        </p>
+        <p>
+          <tal:data i18n:name="distance"
                   tal:content="context.distance"></tal:data> kms
+        </p>
       </div>
 
       <fieldset>
         ${form.errorlist('tracking_file')}
-        <label for="notes" i18n:translate="">Workout file (gpx, fit):</label>
-        ${form.file('tracking_file')}
+        <div>
+          <label for="notes" i18n:translate="">Workout file (gpx, fit):</label>
+          ${form.file('tracking_file')}
+        </div>
       </fieldset>
 
-      ${form.submit("submit", "Save")}
-      <a href="" tal:attributes="href request.resource_url(request.root)"
-         i18n:translate="">Cancel</a>
-
+      ${form.submit("submit", "Save",  **{'class':"button button-normal"})}
       ${form.end()}
     </div>
Index: ow/templates/workout.pt
===================================================================
--- ow/templates/workout.pt	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
+++ ow/templates/workout.pt	(revision 01674ff268b00c33b71d0cf6fd54c8357fa37f45)
@@ -103,8 +103,8 @@
         <div id="elevation"></div>
       </div>
+
     </div>
+        <div id="map" tal:condition="context.has_gpx"></div>
 
-    <!--! Track map -->
-    <div id="map" tal:condition="context.has_gpx"></div>
   </metal:content>
 
